package ch.ethz.inf.vs.nethz.tutorial;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.ToggleButton;

public class MainActivity extends AppCompatActivity {
    public static final String ACTIVITY_TAG = "### Main ###";

//    Button btn_test;
//    Button btn_action;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        TextView text = (TextView) findViewById(R.id.text_main);
//        text.setText(R.string.hello_world);
//        Log.d(ACTIVITY_TAG, "1");
//        text.setText(R.string.app_name);
//        Log.d(ACTIVITY_TAG, "2");
        text.setText(R.string.welcome);
//        Log.d(ACTIVITY_TAG, "3");

//        btn_test = (Button) findViewById(R.id.btn_test);
//        btn_test.setOnClickListener(this);
//        btn_action = (Button) findViewById(R.id.btn_action);
//        btn_action.setOnClickListener(this);

        ((Button) findViewById(R.id.btn_toggle)).setText(R.string.btn_stopped);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        return false;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }

//    @Override
//    public void onClick(View v) {
//        // ((Button) v).setText(R.string.btn_clicked);
//
//        switch (v.getId()) {
//            case R.id.btn_test:
//                ((Button) v).setText(R.string.btn_clicked);
//                break;
//            case R.id.btn_action:
//                ((Button) v).setText(R.string.btn_running);
//                break;
//        }
//    }

    public void onClickTest(View v) {
        ((Button) v).setText(R.string.btn_clicked);

        Intent myIntent = new Intent(this, ActuatorsActivity.class);
        this.startActivity(myIntent);
    }

    public void onClickAction(View v) {
        ((Button) v).setText(R.string.btn_running);

        Intent myIntent = new Intent(this, WorkerActivity.class);
        this.startActivity(myIntent);
    }

    public void onClickToggle(View v) {
        ToggleButton tb = (ToggleButton) v;
        if (tb.isChecked()) {
            tb.setText(R.string.btn_running);
        } else {
            tb.setText(R.string.btn_stopped);
        }
    }
}
